PMAP_UNWIRE(9)

NAME
pmap_unwire - unwire a range of virtual pages

SYNOPSIS
#include <sys/param.h>
#include <vm/vm.h>
#include <vm/pmap.h>
void
pmap_unwire(pmap_t pmap, vm_offset_t start, vm_offset_t end);

DESCRIPTION

The function pmap_unwire() removes the wired attribute from each of the virtual-to-physical page mappings within the virtual address range from start to end of the physical map pmap. Every valid mapping within that range is required to have the wired attribute set. Invalid mappings are ignored, since they cannot have the wired attribute set.

NOTES
Only the function pmap_enter(9) can be used to set the wired attribute of a virtual-to-physical page mapping.

SEE ALSO
pmap(9), pmap_enter(9), pmap_wired_count(9)

AUTHORS
This manual page was written by Alan L. Cox <alc@rice.edu>.